lens-4.15.3: Lenses, Folds and Traversals

Copyright | (C) 2012-2016 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | provisional
Portability | non-portable
Safe Haskell | Safe
Language | Haskell98

Control.Lens.Internal.Review

Contents

- Internal Classes
- Reviews

Description

Synopsis

- class (Profunctor p, Bifunctor p) => Reviewable p
- retagged :: (Profunctor p, Bifunctor p) => p a b -> p s b

# Internal Classes

class (Profunctor p, Bifunctor p) => Reviewable p #

This class is provided mostly for backwards compatibility with lens 3.8, but it can also shorten type signatures.

Instances

(Profunctor p, Bifunctor p) => Reviewable p # |

# Reviews

retagged :: (Profunctor p, Bifunctor p) => p a b -> p s b #

This is a profunctor used internally to implement Review

It plays a role similar to that of `Accessor` or `Const` do for Control.Lens.Getter